Create a KnowledgeBase for a resource
- Base URL
-
https://{kibana_url}
-
POST
/api/security_ai_assistant/knowledge_base/{resource}
Auth
Create a knowledge base with a specific resource identifier.
-
resource
string
required
-
The KnowledgeBase resource value.
-
Example:
kb12345
-
modelId
string
-
ELSER modelId to use when setting up the Knowledge Base. If not provided, a default model will be used.
-
Example:
elser-model-001
-
ignoreSecurityLabs
boolean · default: false
-
Indicates whether we should or should not install Security Labs docs when setting up the Knowledge Base. Defaults to false.
Indicates a successful call.
application/json
-
success
boolean
-
Identify the success of the method execution.
-
error
string
-
A short description of the error.
-
message
string
-
A detailed error message.
-
statusCode
number
-
The HTTP status code of the error.